{ pkgs, ... }:

{
  home.packages = with pkgs; [
    unstable.devenv
    cloc
  ];

  programs.direnv = {
    enable = true;
    enableBashIntegration = true;
  };

  programs.zellij = {
    enable = true;
    # enableBashIntegration = true;
  };

  home.file.zellij = {
    target = ".config/zellij/config.kdl";
    text = ''
      pane_frames false
      keybinds {
        normal {
          bind "Ctrl e" { ToggleFloatingPanes; SwitchToMode "normal"; }
          bind "Ctrl 1" { GoToTab 1; }
          bind "Ctrl 2" { GoToTab 2; }
          bind "Ctrl 3" { GoToTab 3; }
          bind "Ctrl 4" { GoToTab 4; }
          bind "Ctrl 5" { GoToTab 5; }
        }
      }
    '';
  };

  home.file.zellij-layout-default = {
    target = ".config/zellij/layouts/default.kdl";
    text = ''
      layout {
        pane 
        floating_panes {
          pane {
            width "80%"
            height "80%"
            x "10%"
            y "10%"
          }
        }
      }
    '';
  };

  home.file.zellij-layout-dioxus = {
    target = ".config/zellij/layouts/dioxus.kdl";
    text = ''
      layout {
        tab {
          pane {
            command "hx"
            args "."
            focus true
          }
          floating_panes {
            pane {
              width "80%"
              height "80%"
              x "10%"
              y "10%"
            }
          }
        }
        tab {
          pane {
            command "dx"
            args "serve"
          }
        }
        tab {
          pane {
            command "devenv"
            args "up"
          }
        }
      }
    '';
  };
}
